function ssnr = ssnr_func(x,y,fs)
% 
%  :
% x -  
% y -  
% fs -  
%
%  :
% ssnr -   -
% 
% :
%     ssnr_segm    35 ,
%   -   10 
%
%  :
%                                   sum_n_np-vp(x(n,l).^2)
%       SSNR = mean_l(10*log10(--------------------------------))
%                               sum_n_np-vp((x(n,l)-y(n,l)).^2)
%
% =====================================================================
no=2;                %   = ( )/( )
ti=16e-3;            %   (16 ms)
ni=round(ti*fs);     %    
nf=ni*no;            %  

xfrm = frames(x,nf,ni);  %  x  
yfrm = frames(y,nf,ni);  %  y  

% ===  ssnr =====
ssnr_segm = 10*log10(sum(xfrm.^2)./sum((xfrm-yfrm).^2)); % ssnr 
for i = 1:length(ssnr_segm)
    if (ssnr_segm(i) > 35)
        ssnr_segm(i)= 35;
    elseif (ssnr_segm(i) < -10)
        ssnr_segm(i)= -10;
    end
end
ssnr = mean(ssnr_segm);